Subject: Fwd: more complaints about customer service
From: Deeksha Dadu <[email-masked]>
To: "Pritish Nandi (LSM)" <[email-masked]>
Cc: Saurabh Dadu <[email-masked]>
Date: Fri, 17 Sep 2021 07:34:05 +0000

Hi Pritish,

This is the complaint we had from Sam. Kindly check and let me know. Thanks

Sent from my iPhone

Begin forwarded message:

From: "- Dr. Sam Robbins -" <[email-masked]>
Date: 17 September 2021 at 08:00:51 GMT+5:30
To: Saurabh Dadu <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>
Subject: Re: more complaints about customer service

Thank you.

On Thu, Sep 16, 2021 at 11:47 AM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Sam,

Thanks for your email. We now have one dedicated quality checker on your account. Additionally we have brand new people on the account with excellent communication skills.

This call slipped through the cracks, and we have already taken corrective action. This agent only fields the call if the primary agent is either on another call or on a meal or bathroom break. Nevertheless this should not have happened and will not happen again.

I will email you in detail tomorrow.

Apologies for the inconvenience.

Regards,

Saurabh Dadu
LiveSalesman

On 16-Sep-2021, at 10:54 PM, - Dr. Sam Robbins - <[email-masked]<mailto:[email-masked]>> wrote:

Hi you two... Still problems continue with the support staff. Here's just one I received today:

Sam,

I have been purchasing with you for a while now but you need to know about a pretty bad experience lately.

You sent me an email about a labor day special promotion. When I pulled up the email there was a countdown showing 5 hours left. When I went in it wouldn't allow me to check out with the special.

I emailed your customer service and was told sorry that doesn't exist any longer. Pretty ridiculous so they then said call this number for 3 bottles of the Cholestrol Optimizer at $99. Called the number and could barely hear the person with the background noise and then was hung up on after giving my ticket # which is 110622.

I just want a coupon code not to have to call a # etc. This certainly doesn't give me much confidence in a product I've been purchasing.

Please fix this as soon as possible.

Thanks
Jay Tuczynski

... the problem could easily be rectified since the team has access to a bunch of different coupons. They could have and should have said "sorry, here's a new coupon" and that's it. Instead, they make the customer jump through a bunch of hoops.

Additionally, the "barely hear the person" isn't good.

I'm constantly dealing with issues with the support staff. Either they are lazy or don't know what to do or I don't get it. Every issue that I keep dealing with, had been dealt with such a long time ago.

Instead of things getting better over time, they've gotten worse.

On Wed, Aug 18, 2021 at 12:43 AM Deeksha Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hello Sam,

Thanks for sharing this. We will get this implemented at the earliest.

Regards,
Deeksha

From: "- Dr. Sam Robbins -" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 18 August 2021 at 1:03 AM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Deeksha Dadu <[email-masked]<mailto:[email-masked]>>
Subject: Re: more complaints about customer service

Thank you

I've attached the recording and below is the transcript. Please let me know if you'd like me to make any changes. Thank you

Hi, this is Dr. Sam Robbins from HFL - Health, Fitness & Longevity. All of our customer care team members are currently on another call assisting our clients. Please leave a message after the tone with your name and phone number and we'll call you back in just a few minutes. Thanks for calling and have a happy and healthy day.

On Wed, Aug 11, 2021 at 3:59 AM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Sam,

Thanks for your email.

The call backs are done usually instantly. The only time we ever miss a call is if an agent is speaking to another customer. So if a call comes at 9pm, and we miss it, we call back the customer at 9pm.

As far as English - we only hire people who have good communication skills, and cutting corners on cost, is something we never do.

During the Pandemic we lost a lot of our staff, some could not work from home etc. We also had to considerably downsize our operations in the Philippines as many of our team members did not have work from home infrastructure.

Some people who were good, put on the job, quit in quick succession, as they didn't feel comfortable with the product (Alphaviral).

But that's all past us now. The new team will be partially Indian and partially Filipino. They are being hired specifically making sure your customers get a great experience.

During the past a little over a year, our costs have considerably shot up, and we've only spent much more.

As a gesture of our apology, I will ask my finance to issue you a service credit of $500.

Thanks for your cooperation and understanding.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: - Dr. Sam Robbins - <[email-masked]<mailto:[email-masked]>>
Sent: 11 August 2021 7:56 AM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Deeksha Dadu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: Re: more complaints about customer service

Hi Saurabh - I'll record it myself. The call back will happen when? How long will it take? Within the hour? Does it matter when they call -- 8 am or 8 pm?

As far as the accent, not understanding people, English not being well spoken, etc., etc. - this poorly reflects my company. I'm sure you know. It should have NEVER happened to begin with and something I've brought up over the years.

So the real question is - why did it happen to begin with, other than it saves you money finding "sub-par" people?

Lastly, what country are these people you're hiring from?

On Tue, Aug 10, 2021 at 9:44 AM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hey Sam,

Hope you are well.

For Point 1 - Accent: Point taken, we are bringing in 4 new people on the account, 2 are starting next week, and another 2 in 2 - 3 weeks.

For Point 2  (Voice Mail) - Apologies I missed replying to one point in our last conversation, due to which the VM was not implemented. My bad.

How do you want the file? Me record it in an MP3? Or do you think it's better for a female voice? And, it's going to be like a regular voicemail, so the message should be something like "blah, blah... leave a message after the beep and we'll call you back"... type of thing?

The file can be either MP3 or WAV. The message could be anything you want to say, like we are busy, we will call you back. Please leave us a message.  Please send us the file and we will implement immediately.

Also - We have been following this very closely, any customer who called us gets an instant call back.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: - Dr. Sam Robbins - <[email-masked]<mailto:[email-masked]>>
Sent: 10 August 2021 9:30 PM
To: Deeksha Dadu <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>; Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Subject: Re: more complaints about customer service

Hi Deeksha - I don't know when she called, she was just telling me.

We agreed last time that IF nobody is going to pick up, there would be a voicemail - why wasn't this implemented? Nobody wants to be hung up on - I'm sure you'd agree on this fact, correct?

Secondly, I'm not paying to have someone answer the phone with a thick accent that is hard to understand. I've gotten way too many complaints about this. HOw is this going to be rectified?

Thank you

On Tue, Aug 10, 2021 at 12:01 AM Deeksha Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Sam,

I am really sorry to know about this. We have been very closely monitoring quality. All abandoned and missed calls  (those happen only if the agent is already on call with another customer) are invariably called back everyday and Dave personally ensures that it does happen. Could you please share her name or the number she may have called from so that I can check what may have happened?

Regards,
Deeksha

From: "- Dr. Sam Robbins -" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 10 August 2021 at 2:33 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Deeksha Dadu <[email-masked]<mailto:[email-masked]>>
Subject: more complaints about customer service

hi Deeksha ... the complaints keep coming.

My ex girlfriend, who I am still friends with, told me she tried to cancel auto-ship for one of the products she had (I didn't know she had ordered on her own). Multiple times she called, every time it hung up on her.

When she finally did get in touch with someone, she said she could barely understand them.

...

Two most posts about this on Facebook... not being able to understand customer service.

So, how is this going to be fixed?... permanently.

Please let me know. I'm doing my best to be polite, respectful and work with your company. But, I feel that it's going to be a losing battle because things don't improve.